echo
echo "convert Script (gfx)"
echo

echo "fisch sprite"
../../tools_source/bin2s/bin2s.exe -b fisch_anim.gfx >fisch_anim.gfx.s
../../tools_source/bin2s/bin2s.exe -b fisch_anim.pal >fisch_anim.pal.s

echo "logo1"
../../tools_source/bin2s/bin2s.exe -b logo1.gfx >logo1.gfx.s
../../tools_source/bin2s/bin2s.exe -b logo1.pal >logo1.pal.s
../../tools_source/bin2s/bin2s.exe -b logo1.map >logo1.map.s

echo "logo2"
../../tools_source/bin2s/bin2s.exe -b logo2.gfx >logo2.gfx.s
../../tools_source/bin2s/bin2s.exe -b logo2.pal >logo2.pal.s
../../tools_source/bin2s/bin2s.exe -b logo2.map >logo2.map.s

echo "title sprite"
../../tools_source/bin2s/bin2s.exe -b titel_spr.gfx >titel_spr.gfx.s
../../tools_source/bin2s/bin2s.exe -b titel_spr.pal >titel_spr.pal.s
../../tools_source/bin2s/bin2s.exe -b titel_spr2.gfx >titel_spr2.gfx.s


echo "title"
../../tools_source/bin2s/bin2s.exe -b titel.gfx >titel.gfx.s
../../tools_source/bin2s/bin2s.exe -b titel.pal >titel.pal.s
../../tools_source/bin2s/bin2s.exe -b titel.map >titel.map.s

echo "title gr"
../../tools_source/bin2s/bin2s.exe -b titel_gr.gfx >titel_gr.gfx.s
../../tools_source/bin2s/bin2s.exe -b titel_gr.pal >titel_gr.pal.s
../../tools_source/bin2s/bin2s.exe -b titel_gr.map >titel_gr.map.s

echo "title gpbg"
../../tools_source/bin2s/bin2s.exe -b titel_gpbg.gfx >titel_gpbg.gfx.s
../../tools_source/bin2s/bin2s.exe -b titel_gpbg.map >titel_gpbg.map.s

echo ".pack lzss tiles.gfx"  
../../tools/lzss_pack.exe tiles.gfx tiles_LZ.bin   
echo ".convert tiles_LZ to s"
../bin2gold.exe tiles_LZ.bin >tiles.gfx.lz.s  
echo ".remove tmp"
rm tiles_LZ.bin
echo ".convert tiles.pal to s"
../bin2gold.exe tiles.pal >tiles.pal.s 
echo

echo ".pack lzss spritecar.gfx"  
../../tools/lzss_pack.exe spritecar.gfx spritecar_LZ.bin   
echo ".convert tiles_LZ to s"
../bin2gold.exe spritecar_LZ.bin >spritecar.gfx.lz.s  
echo ".remove tmp"
rm spritecar_LZ.bin
echo ".convert spritecar.pal to s"
../bin2gold.exe spritecar.pal >spritecar.pal.s 
echo

echo ".convert font_16_.gfx to s"
../bin2gold.exe font_16.gfx >font_16.gfx.s
echo ".convert font_16.pal to s"
../bin2gold.exe font_16.pal >font_16.pal.s 
echo
echo ".convert font_256_sw.gfx to s"
../bin2gold.exe font_256_sw.gfx >font_256_sw.gfx.s
echo ".convert font_256_sw.pal to s"
../bin2gold.exe font_256_sw.pal >font_256_sw.pal.s 
echo
echo ".convert font_16_2.gfx to s"
../bin2gold.exe font_16_2.gfx >font_16_2.gfx.s
echo ".convert font_16_2.pal to s"
../bin2gold.exe font_16_2.pal >font_16_2.pal.s 
echo
echo
echo
echo "Making gas compatibel"
exec ../../../armcc/asmconv.sh font_16.gfx.s >font_16.gfx.i&
exec ../../../armcc/asmconv.sh font_16.pal.s >font_16.pal.i&
exec ../../../armcc/asmconv.sh font_16_2.gfx.s >font_16_2.gfx.i&
exec ../../../armcc/asmconv.sh font_16_2.pal.s >font_16_2.pal.i&
exec ../../../armcc/asmconv.sh font_256_sw.gfx.s >font_256_sw.gfx.i&
exec ../../../armcc/asmconv.sh font_256_sw.pal.s >font_256_sw.pal.i&
exec ../../../armcc/asmconv.sh spritecar.gfx.lz.s >spritecar.gfx.lz.i&
exec ../../../armcc/asmconv.sh spritecar.pal.s >spritecar.pal.i&
exec ../../../armcc/asmconv.sh tiles.gfx.lz.s >tiles.gfx.lz.i&
exec ../../../armcc/asmconv.sh tiles.pal.s >tiles.pal.i&
echo "all done"